<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:06 CEST 2020 -->
<title>MaintenanceMonitoringPackageImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MaintenanceMonitoringPackageImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":9,"i23":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MaintenanceMonitoringPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html" target="_top">Frames</a></li>
<li><a href="MaintenanceMonitoringPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl</div>
<h2 title="Class MaintenanceMonitoringPackageImpl" class="title">Class MaintenanceMonitoringPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl.MaintenanceMonitoringPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MaintenanceMonitoringPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.MaintenanceMonitoringPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.MaintenanceMonitoringPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#eNAME">eNAME</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION">ERROR_DETECTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__BASE_ACTION">ERROR_DETECTION__BASE_ACTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__BASE_ACTIVITY">ERROR_DETECTION__BASE_ACTIVITY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__CORRECTION_PROBABILITY">ERROR_DETECTION__CORRECTION_PROBABILITY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__DURATION">ERROR_DETECTION__DURATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__ON_COMPLETION">ERROR_DETECTION__ON_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__ON_FAILED_COMPLETION">ERROR_DETECTION__ON_FAILED_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__ON_SUCCESSFUL_COMPLETION">ERROR_DETECTION__ON_SUCCESSFUL_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__PROB_SUCCESS">ERROR_DETECTION__PROB_SUCCESS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__TARGETS">ERROR_DETECTION__TARGETS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION__WHEN">ERROR_DETECTION__WHEN</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#ERROR_DETECTION_FEATURE_COUNT">ERROR_DETECTION_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION">FAILURE_DETECTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__BASE_ACTION">FAILURE_DETECTION__BASE_ACTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__BASE_ACTIVITY">FAILURE_DETECTION__BASE_ACTIVITY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__DURATION">FAILURE_DETECTION__DURATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__ON_COMPLETION">FAILURE_DETECTION__ON_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__ON_DETECTION">FAILURE_DETECTION__ON_DETECTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__ON_FAILED_COMPLETION">FAILURE_DETECTION__ON_FAILED_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__ON_SUCCESSFUL_COMPLETION">FAILURE_DETECTION__ON_SUCCESSFUL_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__PROB_SUCCESS">FAILURE_DETECTION__PROB_SUCCESS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION__WHEN">FAILURE_DETECTION__WHEN</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#FAILURE_DETECTION_FEATURE_COUNT">FAILURE_DETECTION_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES">MM_ACTIVITIES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__BASE_ACTION">MM_ACTIVITIES__BASE_ACTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__BASE_ACTIVITY">MM_ACTIVITIES__BASE_ACTIVITY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__DURATION">MM_ACTIVITIES__DURATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__ON_COMPLETION">MM_ACTIVITIES__ON_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__ON_FAILED_COMPLETION">MM_ACTIVITIES__ON_FAILED_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__ON_SUCCESSFUL_COMPLETION">MM_ACTIVITIES__ON_SUCCESSFUL_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__PROB_SUCCESS">MM_ACTIVITIES__PROB_SUCCESS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES__WHEN">MM_ACTIVITIES__WHEN</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#MM_ACTIVITIES_FEATURE_COUNT">MM_ACTIVITIES_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR">REPAIR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__BASE_ACTION">REPAIR__BASE_ACTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__BASE_ACTIVITY">REPAIR__BASE_ACTIVITY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__BASE_TRANSITION">REPAIR__BASE_TRANSITION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__DURATION">REPAIR__DURATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__ON_COMPLETION">REPAIR__ON_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__ON_FAILED_COMPLETION">REPAIR__ON_FAILED_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__ON_SUCCESSFUL_COMPLETION">REPAIR__ON_SUCCESSFUL_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__PROB_SUCCESS">REPAIR__PROB_SUCCESS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__TARGETS">REPAIR__TARGETS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR__WHEN">REPAIR__WHEN</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPAIR_FEATURE_COUNT">REPAIR_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE">REPLACE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__BASE_ACTION">REPLACE__BASE_ACTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__BASE_ACTIVITY">REPLACE__BASE_ACTIVITY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__DURATION">REPLACE__DURATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__ON_COMPLETION">REPLACE__ON_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__ON_FAILED_COMPLETION">REPLACE__ON_FAILED_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__ON_SUCCESSFUL_COMPLETION">REPLACE__ON_SUCCESSFUL_COMPLETION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__PROB_SUCCESS">REPLACE__PROB_SUCCESS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__REPLACEMENT">REPLACE__REPLACEMENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__TARGETS">REPLACE__TARGETS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE__WHEN">REPLACE__WHEN</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#REPLACE_FEATURE_COUNT">REPLACE_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getErrorDetection_CorrectionProbability--">getErrorDetection_CorrectionProbability</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getErrorDetection_Targets--">getErrorDetection_Targets</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getErrorDetection--">getErrorDetection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getFailureDetection_OnDetection--">getFailureDetection_OnDetection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getFailureDetection--">getFailureDetection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMaintenanceMonitoringFactory--">getMaintenanceMonitoringFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_Base_Action--">getMMActivities_Base_Action</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_Base_Activity--">getMMActivities_Base_Activity</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_Duration--">getMMActivities_Duration</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_OnCompletion--">getMMActivities_OnCompletion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_OnFailedCompletion--">getMMActivities_OnFailedCompletion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_OnSuccessfulCompletion--">getMMActivities_OnSuccessfulCompletion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_ProbSuccess--">getMMActivities_ProbSuccess</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities_When--">getMMActivities_When</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getMMActivities--">getMMActivities</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getRepair_Base_Transition--">getRepair_Base_Transition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getRepair_Targets--">getRepair_Targets</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getRepair--">getRepair</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getReplace_Replacement--">getReplace_Replacement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getReplace_Targets--">getReplace_Targets</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#getReplace--">getReplace</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#eINSTANCE"><code>MaintenanceMonitoringPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#eNS_URI"><code>MaintenanceMonitoringPackage.eNS_URI</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getMMActivities()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--">getMMActivities</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>MM Activities</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><code>MMActivities</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_Base_Activity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_Base_Activity</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getMMActivities_Base_Activity()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_Base_Activity--">getMMActivities_Base_Activity</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Activity</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Activity--"><code>MMActivities.getBase_Activity()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_When--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_When</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getMMActivities_When()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_When--">getMMActivities_When</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>When</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getWhen--"><code>MMActivities.getWhen()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_Duration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_Duration</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getMMActivities_Duration()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_Duration--">getMMActivities_Duration</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Duration</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getDuration--"><code>MMActivities.getDuration()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_ProbSuccess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_ProbSuccess</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getMMActivities_ProbSuccess()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_ProbSuccess--">getMMActivities_ProbSuccess</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Prob Success</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getProbSuccess--"><code>MMActivities.getProbSuccess()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_OnCompletion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_OnCompletion</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getMMActivities_OnCompletion()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_OnCompletion--">getMMActivities_OnCompletion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>On Completion</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnCompletion--"><code>MMActivities.getOnCompletion()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_OnSuccessfulCompletion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_OnSuccessfulCompletion</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getMMActivities_OnSuccessfulCompletion()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_OnSuccessfulCompletion--">getMMActivities_OnSuccessfulCompletion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>On Successful Completion</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnSuccessfulCompletion--"><code>MMActivities.getOnSuccessfulCompletion()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_OnFailedCompletion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_OnFailedCompletion</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getMMActivities_OnFailedCompletion()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_OnFailedCompletion--">getMMActivities_OnFailedCompletion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>On Failed Completion</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getOnFailedCompletion--"><code>MMActivities.getOnFailedCompletion()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMMActivities_Base_Action--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMMActivities_Base_Action</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getMMActivities_Base_Action()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities_Base_Action--">getMMActivities_Base_Action</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Action</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MMActivities.html#getBase_Action--"><code>MMActivities.getBase_Action()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMMActivities--"><code>MaintenanceMonitoringPackage.getMMActivities()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRepair--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepair</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getRepair()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getRepair--">getRepair</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Repair</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><code>Repair</code></a></dd>
</dl>
</li>
</ul>
<a name="getRepair_Targets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepair_Targets</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRepair_Targets()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getRepair_Targets--">getRepair_Targets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Targets</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getTargets--"><code>Repair.getTargets()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getRepair--"><code>MaintenanceMonitoringPackage.getRepair()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRepair_Base_Transition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepair_Base_Transition</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRepair_Base_Transition()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getRepair_Base_Transition--">getRepair_Base_Transition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Transition</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Repair.html#getBase_Transition--"><code>Repair.getBase_Transition()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getRepair--"><code>MaintenanceMonitoringPackage.getRepair()</code></a></dd>
</dl>
</li>
</ul>
<a name="getReplace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReplace</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getReplace()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getReplace--">getReplace</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Replace</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Replace.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><code>Replace</code></a></dd>
</dl>
</li>
</ul>
<a name="getReplace_Targets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReplace_Targets</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getReplace_Targets()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getReplace_Targets--">getReplace_Targets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Targets</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Replace.html#getTargets--"><code>Replace.getTargets()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getReplace--"><code>MaintenanceMonitoringPackage.getReplace()</code></a></dd>
</dl>
</li>
</ul>
<a name="getReplace_Replacement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReplace_Replacement</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getReplace_Replacement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getReplace_Replacement--">getReplace_Replacement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Replacement</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/Replace.html#getReplacement--"><code>Replace.getReplacement()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getReplace--"><code>MaintenanceMonitoringPackage.getReplace()</code></a></dd>
</dl>
</li>
</ul>
<a name="getErrorDetection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErrorDetection</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getErrorDetection()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getErrorDetection--">getErrorDetection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Error Detection</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/ErrorDetection.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><code>ErrorDetection</code></a></dd>
</dl>
</li>
</ul>
<a name="getErrorDetection_Targets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErrorDetection_Targets</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getErrorDetection_Targets()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getErrorDetection_Targets--">getErrorDetection_Targets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Targets</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/ErrorDetection.html#getTargets--"><code>ErrorDetection.getTargets()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getErrorDetection--"><code>MaintenanceMonitoringPackage.getErrorDetection()</code></a></dd>
</dl>
</li>
</ul>
<a name="getErrorDetection_CorrectionProbability--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErrorDetection_CorrectionProbability</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getErrorDetection_CorrectionProbability()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getErrorDetection_CorrectionProbability--">getErrorDetection_CorrectionProbability</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Correction Probability</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/ErrorDetection.html#getCorrectionProbability--"><code>ErrorDetection.getCorrectionProbability()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getErrorDetection--"><code>MaintenanceMonitoringPackage.getErrorDetection()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFailureDetection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFailureDetection</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getFailureDetection()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getFailureDetection--">getFailureDetection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Failure Detection</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/FailureDetection.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring"><code>FailureDetection</code></a></dd>
</dl>
</li>
</ul>
<a name="getFailureDetection_OnDetection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFailureDetection_OnDetection</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getFailureDetection_OnDetection()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getFailureDetection_OnDetection--">getFailureDetection_OnDetection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>On Detection</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/FailureDetection.html#getOnDetection--"><code>FailureDetection.getOnDetection()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getFailureDetection--"><code>MaintenanceMonitoringPackage.getFailureDetection()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMaintenanceMonitoringFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaintenanceMonitoringFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringFactory</a>&nbsp;getMaintenanceMonitoringFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html#getMaintenanceMonitoringFactory--">getMaintenanceMonitoringFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/MaintenanceMonitoringPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring">MaintenanceMonitoringPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MaintenanceMonitoringPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MMActivitiesImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.MaintenanceMonitoring.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/MaintenanceMonitoring/impl/MaintenanceMonitoringPackageImpl.html" target="_top">Frames</a></li>
<li><a href="MaintenanceMonitoringPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
